C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: dfitseg.f,v 1.2 1997/10/10 20:21:10 dglo Exp $ ***

*| Name:
*|	m0dfitseg - draw a line segment to the frame
*|
*| Interface:
*|	subroutine
*|	m0dfitseg(integer frame, integer line, integer data,
*|		  integer istart, integer npixel)
*|
*| Input:
*|	frame	- frame to draw to
*|	line	- line number to draw
*|	data 	- buffer of data to draw
*|	istart 	- starting element to draw to
*|	npixel	- number of pixels of data to draw
*|
*| Input and Output:
*|	none
*|
*| Output:
*|	none
*|
*| Return values:
*|	none
*|
*| Remarks:
*|	m0dfitseg will call the appropriate hardware specific routine
*|	to draw the data to the screen.
*|
*| Categories:
*|	display

      SUBROUTINE m0DFITSEG(FRAME, LINE, DATA, ISTART, NPIXEL)
      INTEGER FRAME
      INTEGER LINE
      INTEGER DATA(*)
      INTEGER BUFFER(1024)
      INTEGER LINESIZE, ELESIZE
      INTEGER ISTART
      INTEGER NPIXEL

      CALL MCFSIZE(FRAME, LINESIZE, ELESIZE)
      CALL PACK2(ELESIZE, DATA, BUFFER)
      CALL MCLINESEG(FRAME, LINE, BUFFER, ISTART, NPIXEL)
      RETURN
      END


      SUBROUTINE m0WRTSEG(FRAME, LINNUM, INLINE, ISTART, NPIXEL)
      RETURN
      END


      SUBROUTINE m0PMSEG(FRAME, LINNUM, INLINE, ISTART, NPIXEL)
      RETURN
      END
